------------------------------------------------------------------------------------
--Name：     210207[简体征服][活动脚本]全球愚人节活动-剧情引导
--Creator:      傅伟龙
--Created:     2021-02-07
------------------------------------------------------------------------------------
--/callluafunc </F>User_PlayPlot</N>170

CppScriptMgr:SetViewPosByCell(355,301);

local effectObj1  = CppScriptMgr:AddEffect( "CSGX_zi", 355,303);
CppScriptMgr:WaitMilSec(25);
-- local effectObj2  = CppScriptMgr:AddEffect( "CSGX_hong", 362,303);
-- CppScriptMgr:WaitMilSec(25);
local effectObj3  = CppScriptMgr:AddEffect( "CSGX_zi", 349,294);
CppScriptMgr:WaitMilSec(25);
-- local effectObj4  = CppScriptMgr:AddEffect( "CSGX_hong", 358,295);
-- CppScriptMgr:WaitMilSec(25);
local effectObj5  = CppScriptMgr:AddEffect( "CSGX_zi", 352,287);
CppScriptMgr:WaitMilSec(25);
-- local effectObj6  = CppScriptMgr:AddEffect( "CSGX_hong", 350,280);
-- CppScriptMgr:WaitMilSec(25);
local effectObj7  = CppScriptMgr:AddEffect( "CSGX_zi", 359,283);
CppScriptMgr:WaitMilSec(25);
-- local effectObj8  = CppScriptMgr:AddEffect( "CSGX_hong", 354,273);
-- CppScriptMgr:WaitMilSec(25);
local effectObj9  = CppScriptMgr:AddEffect( "CSGX_zi", 347,267);
CppScriptMgr:WaitMilSec(25);
-- local effectObj10 = CppScriptMgr:AddEffect( "CSGX_hong", 358,266);
-- CppScriptMgr:WaitMilSec(25);
local effectObj11 = CppScriptMgr:AddEffect( "CSGX_zi", 351,260);
CppScriptMgr:WaitMilSec(25);
-- local effectObj12 = CppScriptMgr:AddEffect( "CSGX_hong", 345,253);
-- CppScriptMgr:WaitMilSec(25);
local effectObj13 = CppScriptMgr:AddEffect( "CSGX_zi", 358,255);
CppScriptMgr:WaitMilSec(25);
-- local effectObj14 = CppScriptMgr:AddEffect( "CSGX_hong", 347,246);
-- CppScriptMgr:WaitMilSec(25);
local effectObj15 = CppScriptMgr:AddEffect( "CSGX_zi", 354,246);
CppScriptMgr:WaitMilSec(25);
-- local effectObj16 = CppScriptMgr:AddEffect( "CSGX_hong", 350,238);
-- CppScriptMgr:WaitMilSec(25);
local effectObj17 = CppScriptMgr:AddEffect( "CSGX_zi", 342,234);
CppScriptMgr:WaitMilSec(25);
-- local effectObj18 = CppScriptMgr:AddEffect( "CSGX_hong", 352,230);
-- CppScriptMgr:WaitMilSec(25);
local effectObj19 = CppScriptMgr:AddEffect( "CSGX_zi", 344,224);
CppScriptMgr:WaitMilSec(25);
-- local effectObj20 = CppScriptMgr:AddEffect( "CSGX_hong", 351,222);
-- CppScriptMgr:WaitMilSec(25);
local effectObj21 = CppScriptMgr:AddEffect( "CSGX_zi", 342,214);
CppScriptMgr:WaitMilSec(25);
-- local effectObj22 = CppScriptMgr:AddEffect( "CSGX_hong", 349,211);
-- CppScriptMgr:WaitMilSec(25);
local effectObj23 = CppScriptMgr:AddEffect( "CSGX_zi", 337,204);
CppScriptMgr:WaitMilSec(25);
-- local effectObj24 = CppScriptMgr:AddEffect( "CSGX_hong", 344,204);
-- CppScriptMgr:WaitMilSec(25);


CppScriptMgr:NpcCallOut("    This is the Slide Path. Step on the purple part and avoid the red part!", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc10086", 150, 430, "AncientRuler", 250, 655)
CppScriptMgr:WaitMilSec(25);

-- 设置摄像机指向位置(网格坐标)
for i = 1,17 do
	CppScriptMgr:SetViewPosByCell(355,301-i);
	CppScriptMgr:WaitMilSec(100);
end

for i = 1,5 do
	CppScriptMgr:SetViewPosByCell(355-i,284-i);
	CppScriptMgr:WaitMilSec(100);
end

for i = 1,20 do
	CppScriptMgr:SetViewPosByCell(350,279-i);
	CppScriptMgr:WaitMilSec(100);
end

for i = 1,5 do
	CppScriptMgr:SetViewPosByCell(350-i,259-i);
	CppScriptMgr:WaitMilSec(100);
end

for i = 1,20 do
	CppScriptMgr:SetViewPosByCell(345,254-i);
	CppScriptMgr:WaitMilSec(100);
end

for i = 1,5 do
	CppScriptMgr:SetViewPosByCell(345-i,234-i);
	CppScriptMgr:WaitMilSec(100);
end


for i = 1,20 do
	CppScriptMgr:SetViewPosByCell(340,229-i);
	CppScriptMgr:WaitMilSec(100);
end

CppScriptMgr:WaitMilSec(5000);



